[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# set_segment_base_address

Set descriptor's base address

## Declaration

Source position: go32.pp line 85

`function set_segment_base_address(`
`d: Word;`
`s: LongInt`
`):Boolean;`

## Description

Sets the 32-bit linear base address of a descriptor.

Parameters:

d
  selector.
s
  new base address of the descriptor.

## Errors

Check the int31error variable.

## See also

allocate_ldt_descriptors |  | Allocate a number of descriptors
get_segment_base_address |  | Return base address from descriptor table
allocate_ldt_descriptors |  | Allocate a number of descriptors
set_segment_limit |  | Set descriptor limit
get_segment_base_address |  | Return base address from descriptor table
get_segment_limit |  | Return segment limite from descriptor

Documentation generated on: Feb 26 2014